Subject: RE: kernel version!

From: Marco Carbone <[email-masked]>
Date: Tue, 25 Jul 2000 17:46:08 -0400 (EDT)

> > >Now could someone clue me in as to what happened to the frame buffer
> > >driver on the Assabet? It was working fine back in the 
> > >2.3.99-pre-something days, but lately I've noticed that 
> > every other scan
> > >line is blank even though the screen geometry over all is 
> > correct (no,
> > >it's not hardware, the phase 4 Assabet does it, too). 
> > 
> > I am not having that problem, with a 2.4.0-test1-etcetera 
> > kernel and using
> > NanoX and Microwindows.  Are you having this problem when Tux 
> > is drawn?
> 
> Yes, unfortunately.

Well, I upgraded to a 2.4.0-test4-np1 kernel and suddenly, my frame buffer
was skipping pixel rows as well.  With two cases, it seems like something
is wrong with the framebuffer in this kernel.  Does anyone out there have
2.4.0-test4-np1 working with a clean display?

> I received a reply from [email-masked] who claimed to have the MicroWindows
> driver working on an Assabet with the latest kernel.  He suggested creating
> two devices, mknod /dev/ts c 254 34 and mknod /dev/tsraw c 254 18 which was
> the info I was looking for.  However, when starting the nano-X binary,
> nothing much happens until I touch the display, then I get a core dump.
> Well, that's some progress I guess :(  The specific error message is:
> 
> GsError 7, 0
> Segmentation fault (core dumped)
> 
> After looking at ucb1200_ts.c in the kernel it was obvious that this is a
> work in progress.

Did you try running any of the demos (like npanel.sh)?  It's possible they
might be more receptive to the touchscreen...
 
I have done the same thing with the mknods, but rather than a Seg fault,
I'm afraid I get no response at all.  However, I'm no longer getting the
'Error 2 opening touch panel' - so that's a start.  Has anyone else got
the touchscreen working as simply as Joan?

Marco

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Joan LLuis Montore Parera <[email-masked]>
Date: Wed, 26 Jul 2000 09:43:26 +0200

>> After looking at ucb1200_ts.c in the kernel it was obvious that this is a

The programs based on Nano-X die when you use the touch (concretely when
receiving the pen up event). The programs based on microwindows (like mine)
works properly. After some hacking, I found that if you comment out the line 72
( return -1;) of microwindows/src/drivers/mou_ts.c the nano-X based applications
work perfectly. I assumed it was a small misunderstanding between the nano-X
code and the touchscreen driver that is being worked now.

> might be more receptive to the touchscreen...

If you try them without the modification I suggested, they are going to fail. As
I previously said only the microwindows based (mine, malpha, etc.) work directly

Saludos (Best regards).
Joan Lluis Montore Parera
Director de Tecnología (Technology Mgr.)
ICT electronics SA  email:[email-masked]  web:www.ict.es